#
# spec file for package python-psycopg-pool
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-psycopg-pool
Version:        3.2.1
Release:        2.5
Summary:        Connection Pool for Psycopg
License:        LGPL-3.0-only
URL:            https://psycopg.org/psycopg3/
Source:         https://files.pythonhosted.org/packages/source/p/psycopg-pool/psycopg-pool-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools >= 49.2.0}
BuildRequires:  %{python_module wheel >= 0.37}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-typing-extensions >= 4.4
BuildArch:      noarch
%python_subpackages

%description
Connection Pool for Psycopg

%prep
%autosetup -p1 -n psycopg-pool-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# Tested in python-psycopg

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/psycopg_pool
%{python_sitelib}/psycopg_pool-%{version}.dist-info

%changelog
* Mon Jan 15 2024 Antonio Larrosa <alarrosa@suse.com>
- Use %%sle15_python_module_pythons
* Sun Jan  7 2024 Dirk Müller <dmueller@suse.com>
- update to 3.2.1:
  * Respect the timeout parameter on connection() when check fails.
    Also avoid a busy-loop of checking; separate check attempts
    using an exponential backoff (ticket #709).
  * Use typing.Self as a more correct return value annotation of
    context managers and other self-returning methods (see ticket
* Thu Dec 14 2023 Dirk Müller <dmueller@suse.com>
- update to 3.2.0:
  * Add support for async reconnect_failed callbacks in
    AsyncConnectionPool (ticket #520).
  * Add check parameter to the pool constructor and check_connection()
    method. (ticket #656).
  * Make connection pool classes generic on the connection type (ticket
    [#559]).
  * Raise a warning if sync pools rely an implicit open=True and the
    pool context is not used. In the future the default will become
    False (ticket #659).
  * Raise a warning if async pools are opened in the constructor. In
    the future it will become an error. (ticket #659).
* Wed Jul 12 2023 Steve Kowalik <steven.kowalik@suse.com>
- Initial release of 3.1.7
